Bug 607706 - [abrt] firefox-3.6.4-1.fc14: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
[abrt] firefox-3.6.4-1.fc14: Process /usr/lib/firefox-3.6/firefox was killed ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:140bc9b42c7de8ed9a1e45129e4...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 11:45 EDT by masami256
Modified: 2010-08-20 21:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-20 21:10:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.86 KB, text/plain)
2010-06-24 11:45 EDT, masami256
no flags Details

  None (edit)
Description masami256 2010-06-24 11:45:28 EDT
abrt version: 1.1.5
architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.6/firefox
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/firefox-3.6/firefox
global_uuid: 140bc9b42c7de8ed9a1e45129e4970168fbbfdbf
kernel: 2.6.35-0.2.rc3.git0.fc14.i686
package: firefox-3.6.4-1.fc14
rating: 4
reason: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Rawhide)
time: 1277394035
uid: 500

How to reproduce
-----
1.Run firefox via firefox icon or enter "/usr/lib/firefox" from terminal
Comment 1 masami256 2010-06-24 11:45:30 EDT
Created attachment 426624 [details]
File: backtrace
Comment 2 Karsten Roch 2010-06-24 16:58:32 EDT
The same issue here, my backtrace can be found at:

http://pastebin.com/LpesdRR8

Regards
Karsten
Comment 3 Karsten Roch 2010-07-02 16:56:44 EDT
After executing:

setsebool -P allow_execmem 1
setsebool -P allow_execstack 1

i was be able to start firefox without any crashes.

Regards
Karsten
Comment 4 Bug Zapper 2010-07-30 08:13:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 d. johnson 2010-08-20 13:53:00 EDT
It sounds like you have resolved this issue, but just verifying, is it OK to close this out ?


#3  <signal handler called>
No symbol table info available.
#4  0x003e1529 in addMem (this=0xb6a68310, start=@0xb6aab88c, end=@0xb6aab890)
    at nanojit/CodeAlloc.cpp:327
        b = 0xffffffff
#5  nanojit::CodeAlloc::alloc (this=0xb6a68310, start=@0xb6aab88c, 
    end=@0xb6aab890) at nanojit/CodeAlloc.cpp:132
        mem = <value optimized out>
        b = 0xffffffff
#6  0x003d754a in nanojit::Assembler::codeAlloc (this=0xb6aab844, 
    start=@0xb6aab88c, end=@0xb6aab890, eip=@0xb6aab89c)
    at nanojit/Assembler.cpp:192
No locals.
#7  0x003e6cb5 in nanojit::Assembler::nativePageSetup (this=0xb6aab844)
    at nanojit/Nativei386.cpp:1732
No locals.
#8  0x003d89b5 in nanojit::Assembler::beginAssembly (this=0xb6aab844, 
    frag=0xb6aabf14) at nanojit/Assembler.cpp:658
No locals.
#9  0x003e2acf in nanojit::compile (assm=0xb6aab844, frag=0xb6aabf14)
    at nanojit/LIR.cpp:1954
No locals.
#10 0x003bc00e in TraceRecorder::compile (this=0xb76b1bc0, tm=0xb6961060)




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 masami256 2010-08-20 20:51:20 EDT
>It sounds like you have resolved this issue, but just verifying, is it OK to
close this out ?
Thanks for notifying. I confirmed that firefox-3.6.4-2.fc14.i686 works fine. 
Please feel free to close this bug.

Cheers,
Comment 7 d. johnson 2010-08-20 21:10:03 EDT
Thank you!

Note You need to log in before you can comment on or make changes to this bug.